% Copyright (C) 2008-2009 - Michael Baudin
% Copyright (C) 2011 - DIGITEO - Michael Baudin
%
% This file must be used under the terms of the 
% Creative Commons Attribution-ShareAlike 3.0 Unported License :
% http://creativecommons.org/licenses/by-sa/3.0/

\documentclass[12pt]{article}

\include{macros}

\begin{document}
\author{Micha\"el Baudin}
\date{February 2017}
\title{Numerical Derivatives in Scilab}
\maketitle
\begin{abstract}
This document present the use of numerical derivatives
in Scilab. 
In the first part, we present a result which is surprising when we 
are not familiar with floating point numbers. 
In the second part, we analyse the method to use the optimal 
step to compute derivatives with finite differences on floating point 
systems. 
We present several formulas and their associated optimal steps. 
In the third part, we present the \emph{derivative} function, its 
features and its performances.
\end{abstract}

\tableofcontents

\input{copyright}

\input{numericalderivatives}



%% Bibliography


\addcontentsline{toc}{section}{Bibliography}
\bibliographystyle{plain}
\bibliography{scilab.optimization}

\addcontentsline{toc}{section}{Index}
\printindex

\end{document}

